\chapter{Conclusion}


This thesis aimed at reducing the time developers have to wait for Whisker test-suite executions to finish. This goal was achieved, by reducing the execution duration by more than 80 \%, even on a low-power ultrabook. As the acceleration is independent of the test type, standard integration-like tests and tests generating coverage can be accelerated. Also, search-based approaches to analyze Scratch applications are currently developed at the Chair of Software Engineering II, which are already using the acceleration, without further modification.

Additionally, the Servant was created, a Node.js based tool enabling developers to execute Whisker test-suites via a command-line interface (CLI). This tool can be further used to automate test-suite executions, even on headless instances and clusters. As the CLI allows any bash based system to interact with the Servant, it can be started from other bash or Node.js scripts or any control structure being able to spawn a process.

The Servant has also been adopted to support executing search-based approaches already mentioned in the previous paragraph. For the author of this thesis, this fast adoption indicates the usefulness of the Servant.

\vspace{5\baselineskip}

As a final remark, I am delighted to see the results of my efforts making the life of other developers easier.
